Modify

Opened 7 years ago

Last modified 4 years ago

#8114 assigned defect

wpa_supplicant doesn't allow 64-char hex psk

Reported by: tkmbe Owned by: nbd
Priority: normal Milestone: Chaos Calmer 15.05
Component: packages Version: Backfire 10.03 RC3
Keywords: Cc:

Description

option
usepassphrase 0
is not recognized to support 64-char hex psk in /etc/config/wireless.
Problem is a buggy /lib/wifi/wpa_supplicant.sh

Greetings Beat

Here the Solution:

* scriptsModified/wpa_supplicant.sh 2010-10-21 15:51:39.000000000 -0300
--- orig_files/wpa_supplicant.sh 2010-10-20 14:03:28.000000000 -0300
*
* 49,55

;;
*psk*)

key_mgmt='WPA-PSK'

! config_get_bool usepassphrase "$vif" usepassphrase

if [ "$usepassphrase" = "1" ]; then

passphrase="psk=\"${key}\""

else

--- 49,55 ----

;;
*psk*)

key_mgmt='WPA-PSK'

! config_get_bool usepassphrase "$vif" passphrase 1

if [ "$usepassphrase" = "1" ]; then

passphrase="psk=\"${key}\""

else

Attachments (0)

Change History (3)

comment:1 Changed 6 years ago by swalker

  • Owner changed from developers to nbd
  • Status changed from new to assigned

comment:2 Changed 6 years ago by anonymous

#9584 appears to be a duplicate of this ticket

comment:3 Changed 4 years ago by jow

  • Milestone changed from Backfire 10.03.2 to Chaos Calmer (trunk)

Milestone Backfire 10.03.2 deleted

Add Comment

Modify Ticket

Action
as assigned .
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.